/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2018-02-09 09:41:09Z
 *****************************************************************************/

#ifndef __HMO_ATTRIBUTES_HEADER
#define __HMO_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus hmo_doubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus hmo_noQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus hmo_doubleQuotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);
ViStatus hmo_noQuotedString_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable hmo_rngHorzScale;
extern RsRangeTable hmo_rngHorzAcquisitionTime;
extern RsRangeTable hmo_rngAcquisitionStartTime;
extern RsRangeTable hmo_rngHorzReference;
extern RsRangeTable hmo_rngSampleMode;
extern RsRangeTable hmo_rngWaveformArithmetics;
extern RsRangeTable hmo_rngVerticalCoupling;
extern RsRangeTable hmo_rngVerticalScale;
extern RsRangeTable hmo_rngVerticalRange;
extern RsRangeTable hmo_rngVerticalOffset;
extern RsRangeTable hmo_rngChannelOffset;
extern RsRangeTable hmo_rngChannelBWLimit;
extern RsRangeTable hmo_rngTriggerSource;
extern RsRangeTable hmo_rngTriggerSlope;
extern RsRangeTable hmo_rngPolarity;
extern RsRangeTable hmo_rngWidthCondition;
extern RsRangeTable hmo_rngLineNumber;
extern RsRangeTable hmo_rngTVTriggerEvent;
extern RsRangeTable hmo_rngCursorFunction;
extern RsRangeTable hmo_rngCursorXPosition;
extern RsRangeTable hmo_rngCursorYPosition;
extern RsRangeTable hmo_rngPct;
extern RsRangeTable hmo_rngXRatioMeasurementUnit;
extern RsRangeTable hmo_rngYRatioMeasurementUnit;
extern RsRangeTable hmo_rngInterpolation;
extern RsRangeTable hmo_rngMeasurementCategory;
extern RsRangeTable hmo_rngFFTWindowType;
extern RsRangeTable hmo_rngRBW;
extern RsRangeTable hmo_rngRBWRatio;
extern RsRangeTable hmo_rngProtocolSPIBitOrder;
extern RsRangeTable hmo_rngProtocolSPIWordLength;
extern RsRangeTable hmo_rngProtocolSPIPolarity;
extern RsRangeTable hmo_rngProtocolUARTParity;
extern RsRangeTable hmo_rngProtocolUARTStopBits;
extern RsRangeTable hmo_rngProtocolUARTTriggerType;
extern RsRangeTable hmo_rngPersistenceTime;
extern RsRangeTable hmo_rngSignalStyle;
extern RsRangeTable hmo_rngHardcopyDeviceOrientation;
extern RsRangeTable hmo_rngWaveformParameterCursor;
extern RsRangeTable hmo_rngWaveformParameter;
extern RsRangeTable hmo_rngSampleRate;
extern RsRangeTable hmo_rngAveragingSpectrums;
extern RsRangeTable hmo_rngColorBrightness;
extern RsRangeTable hmo_rngDiagramMode;
extern RsRangeTable hmo_rngLanguage;
extern RsRangeTable hmo_rngGridStyle;
extern RsRangeTable hmo_rngSource;
extern RsRangeTable hmo_rngSourceChannel;
extern RsRangeTable hmo_rngSourceParallel;
extern RsRangeTable hmo_rngXY2Source;
extern RsRangeTable hmo_rngIntensityMode;
extern RsRangeTable hmo_rngIntensityTreshold;
extern RsRangeTable hmo_rngHardcopyDevice;
extern RsRangeTable hmo_rngHardcopyDeviceLang;
extern RsRangeTable hmo_rngPageSize;
extern RsRangeTable hmo_rngMaskCondition;
extern RsRangeTable hmo_rngMaskXWidth;
extern RsRangeTable hmo_rngMaskYWidth;
extern RsRangeTable hmo_rngYPosition;
extern RsRangeTable hmo_rngTriggerCoupling;
extern RsRangeTable hmo_rngProtocolI2CAccessBit;
extern RsRangeTable hmo_rngAddressLength;
extern RsRangeTable hmo_rngProtocolI2CTriggerType;
extern RsRangeTable hmo_rngTriggerMode;
extern RsRangeTable hmo_rngTriggerPatternFunction;
extern RsRangeTable hmo_rngProtocolSPITriggerType;
extern RsRangeTable hmo_rngFirstBitOffset;
extern RsRangeTable hmo_rngSPIWordLength;
extern RsRangeTable hmo_rngTriggerType;
extern RsRangeTable hmo_rngTVStandard;
extern RsRangeTable hmo_rngUartLength;
extern RsRangeTable hmo_rngColorScheme;
extern RsRangeTable hmo_rngAcquisitionType;
extern RsRangeTable hmo_rngAmplitudeTimeMeasurementType;
extern RsRangeTable hmo_rngProtocolType;
extern RsRangeTable hmo_rngProtocolFormat;
extern RsRangeTable hmo_rngProtocolHeight;
extern RsRangeTable hmo_rngProtocolVertical;
extern RsRangeTable hmo_rngParallelBusAnalyzedLinesRTM;
extern RsRangeTable hmo_rngProtocolBurstIdleTime;
extern RsRangeTable hmo_rngProtocolUARTWordLength;
extern RsRangeTable hmo_rngProtocolUARTBitRate;
extern RsRangeTable hmo_rngProtoclUARTBurstIdleTime;
extern RsRangeTable hmo_rngProtocolI2CPatternLength;
extern RsRangeTable hmo_rngYScale;
extern RsRangeTable hmo_rngBckLight;
extern RsRangeTable hmo_rngRelativeMode;
extern RsRangeTable hmo_rngChannelPolarity;
extern RsRangeTable hmo_rngExternalTriggerCoupling;
extern RsRangeTable hmo_rngMeasCategory;
extern RsRangeTable hmo_rngSearchCondition;
extern RsRangeTable hmo_rngSearchSource;
extern RsRangeTable hmo_rngSearchSlope;
extern RsRangeTable hmo_rngSearchRange;
extern RsRangeTable hmo_rngWaveformPosition;
extern RsRangeTable hmo_rngScalingUnit;
extern RsRangeTable hmo_rngFFTCenterFrequency;
extern RsRangeTable hmo_rngAcquisitionState;
extern RsRangeTable hmo_rngAcquisitionMode;
extern RsRangeTable hmo_rngComponentTestFrequency;
extern RsRangeTable hmo_rngVirtualScreenPosition;
extern RsRangeTable hmo_rngLogicChannelSize;
extern RsRangeTable hmo_rngPodThreshold;
extern RsRangeTable hmo_rngPodThresholdUserLevel;
extern RsRangeTable hmo_rngBusSignalSource;
extern RsRangeTable hmo_rngFilterFrequency;
extern RsRangeTable hmo_rngTriggerPatternPointState;
extern RsRangeTable hmo_rngPatternMode;
extern RsRangeTable hmo_rngPatternCondition;
extern RsRangeTable hmo_rngTriggerPatternWidth;
extern RsRangeTable hmo_rngProtocolCANLineType;
extern RsRangeTable hmo_rngProtocolCANSamplePoint;
extern RsRangeTable hmo_rngProtocolCANTriggerMode;
extern RsRangeTable hmo_rngCANFrameType;
extern RsRangeTable hmo_rngCANTriggerIDType;
extern RsRangeTable hmo_rngProtocolCondition;
extern RsRangeTable hmo_rngProtocolLINDataLength;
extern RsRangeTable hmo_rngProtocolLINStandard;
extern RsRangeTable hmo_rngLINTriggerMode;
extern RsRangeTable hmo_rngQuickmathSource;
extern RsRangeTable hmo_rngQuickmathOperation;
extern RsRangeTable hmo_rngAutomaticMeasurementNumberOfWaveforms;
extern RsRangeTable hmo_rngPodRange;
extern RsRangeTable hmo_rngQuickmathVerticalScale;
extern RsRangeTable hmo_rngProtocolLINPolarity_001;
extern RsRangeTable hmo_rngPeakDetection;
extern RsRangeTable hmo_rngHighResolution;
extern RsRangeTable hmo_rngProtocolI2CAddressMode;
extern RsRangeTable hmo_rngChannelThresholdHysteresis;
extern RsRangeTable hmo_rngWaveformAcquisitionType;
extern RsRangeTable hmo_rngWaveformSampleRange;
extern RsRangeTable hmo_rngHistoryChannelPlayerState;
extern RsRangeTable hmo_rngHistoryChannelPlayerSpeed;
extern RsRangeTable hmo_rngMaskEventMode;
extern RsRangeTable hmo_rngProbeUnit;
extern RsRangeTable hmo_rngRuntTriggerPolarity;
extern RsRangeTable hmo_rngTriggerTimePolarity;
extern RsRangeTable hmo_rngTriggerTimeRange;
extern RsRangeTable hmo_rngDVMSource;
extern RsRangeTable hmo_rngDVMPosition;
extern RsRangeTable hmo_rngPodType;
extern RsRangeTable hmo_rngData2ClockPolarity;
extern RsRangeTable hmo_rngData2ClockSource;
extern RsRangeTable hmo_rngPatternComparison;
extern RsRangeTable hmo_rngSearchTriggerPatternCombination;
extern RsRangeTable hmo_rngSearchLINCondition;
extern RsRangeTable hmo_rngSearchLINFrame;
extern RsRangeTable hmo_rngSearchLINDataLength;
extern RsRangeTable hmo_rngSearchCANCondition;
extern RsRangeTable hmo_rngSearchCANFrame;
extern RsRangeTable hmo_rngSearchCANIDType;
extern RsRangeTable hmo_rngSearchCANFrameType;
extern RsRangeTable hmo_rngSearchCANDataLength;
extern RsRangeTable hmo_rngHardcopyCommandSet;
extern RsRangeTable hmo_rngTriggerHoldoffMode;
extern RsRangeTable hmo_rngTriggerOutMode;
extern RsRangeTable hmo_rngGeneratorFunction;
extern RsRangeTable hmo_rngPatternGeneratorFunction;
extern RsRangeTable hmo_rngPatternGeneratorTriggerMode;
extern RsRangeTable hmo_rngPatternGeneratorExternalSlope;
extern RsRangeTable hmo_rngPatternGeneratorCountDirection;
extern RsRangeTable hmo_rngPatternGeneratorSquareWavePolarity;
extern RsRangeTable hmo_rngHorizontalRecordLength;
extern RsRangeTable hmo_rngParallelClockSource;
extern RsRangeTable hmo_rngParallerBusClockedAnalyzedLines;
extern RsRangeTable hmo_rngSelfAlignmentState;
extern RsRangeTable hmo_rngDVMType;
extern RsRangeTable hmo_rngGeneratorAmplitude;
extern RsRangeTable hmo_rngGeneratorOffset;
extern RsRangeTable hmo_rngGeneratorDutyCycles;
extern RsRangeTable hmo_rngPatternGeneratorSampleTime;
extern RsRangeTable hmo_rngPatternGeneratorIdleTime;
extern RsRangeTable hmo_rngPatternGeneratorBurstCycles;
extern RsRangeTable hmo_rngPatternGeneratorArbitratyDataLength;
extern RsRangeTable hmo_rngPatternGeneratorCounterFrequency;
extern RsRangeTable hmo_rngPatternGeneratorSquareWaveDutyCycle;
extern RsRangeTable hmo_rngProtocolCANDataLength;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_HMO_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_HMO_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_HMO_RS_ATTR_CACHE;
extern RsAttrProperties g_HMO_RS_ATTR_SIMULATE;
extern RsAttrProperties g_HMO_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_HMO_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_HMO_RS_ATTR_SPY;
extern RsAttrProperties g_HMO_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_HMO_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_HMO_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_HMO_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_HMO_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_HMO_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_HMO_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_HMO_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_HMO_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_HMO_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_HMO_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_HMO_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_HMO_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_HMO_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_HMO_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_HMO_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_HMO_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_HMO_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_HMO_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_HMO_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_HMO_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_HMO_ATTR_ACQUISITION_TYPE;
extern RsAttrProperties g_HMO_ATTR_ACQUISITION_STATE;
extern RsAttrProperties g_HMO_ATTR_ACQUISITION_MODE;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_ACQUISITION_TYPE;
extern RsAttrProperties g_HMO_ATTR_FILTER_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_INTERPOLATION;
extern RsAttrProperties g_HMO_ATTR_NUM_AVERAGES;
extern RsAttrProperties g_HMO_ATTR_AVERAGING_STATUS;
extern RsAttrProperties g_HMO_ATTR_SAMPLE_MODE;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_RATE;
extern RsAttrProperties g_HMO_ATTR_HORZ_TIME_PER_RECORD;
extern RsAttrProperties g_HMO_ATTR_HORIZONTAL_RECORD_LENGTH;
extern RsAttrProperties g_HMO_ATTR_HORZ_SCALE;
extern RsAttrProperties g_HMO_ATTR_ACQUSITION_START_TIME;
extern RsAttrProperties g_HMO_ATTR_ACQUISITION_TIME;
extern RsAttrProperties g_HMO_ATTR_HORZ_ADC_SAMPLE_RATE;
extern RsAttrProperties g_HMO_ATTR_HORZ_SAMPLE_RATE;
extern RsAttrProperties g_HMO_ATTR_AUTOSCALE;
extern RsAttrProperties g_HMO_ATTR_HORZ_DIVISIONS;
extern RsAttrProperties g_HMO_ATTR_HORZ_REFERENCE;
extern RsAttrProperties g_HMO_ATTR_PEAK_DETECTION;
extern RsAttrProperties g_HMO_ATTR_HIGH_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_ROLL_MODE;
extern RsAttrProperties g_HMO_ATTR_SEGMENTATION_STATE;
extern RsAttrProperties g_HMO_ATTR_SEGMENTATION_MAXIMUM_ACQUISITION_COUNT;
extern RsAttrProperties g_HMO_ATTR_PROBE_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROBE_ATTENUATION_UNIT;
extern RsAttrProperties g_HMO_ATTR_PROBE_MANUAL_ATTENUATION;
extern RsAttrProperties g_HMO_ATTR_PROBE_ATTENUATION;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_ENABLED;
extern RsAttrProperties g_HMO_ATTR_VERTICAL_RANGE;
extern RsAttrProperties g_HMO_ATTR_VERTICAL_OFFSET;
extern RsAttrProperties g_HMO_ATTR_VERTICAL_COUPLING;
extern RsAttrProperties g_HMO_ATTR_VERTICAL_SCALE;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_OFFSET;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_BANDWIDTH_LIMIT;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_POLARITY;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_OVERLOAD;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_SKEW;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_THRESHOLD;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_THRESHOLD_FIND_LEVEL;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_THRESHOLD_HYSTERESIS;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_LABEL_STATE;
extern RsAttrProperties g_HMO_ATTR_CHANNEL_LABEL;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_TYPE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_SOURCE;
extern RsAttrProperties g_HMO_ATTR_EXTERNAL_TRIGGER_COUPLING;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_LEVEL;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_STATE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_MODIFIER;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_EVENT_COUNT;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_DELAY;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_LEVEL_UPPER;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_LEVEL_LOWER;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_HOLDOFF_MODE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_HOLDOFF_TIME;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_SLOPE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_COUPLING;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_FILTER;
extern RsAttrProperties g_HMO_ATTR_TV_TRIGGER_EVENT;
extern RsAttrProperties g_HMO_ATTR_TV_TRIGGER_LINE_NUMBER;
extern RsAttrProperties g_HMO_ATTR_TV_TRIGGER_POLARITY;
extern RsAttrProperties g_HMO_ATTR_TV_STANDARD;
extern RsAttrProperties g_HMO_ATTR_WIDTH;
extern RsAttrProperties g_HMO_ATTR_WIDTH_DELTA;
extern RsAttrProperties g_HMO_ATTR_WIDTH_POLARITY;
extern RsAttrProperties g_HMO_ATTR_WIDTH_CONDITION;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_SOURCE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_FUNCTION;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_POINT_STATE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_MODE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_CONDITION;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_WIDTH;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_PATTERN_DELTA;
extern RsAttrProperties g_HMO_ATTR_RUNT_TRIGGER_UPPER_LEVEL;
extern RsAttrProperties g_HMO_ATTR_RUNT_TRIGGER_LOWER_LEVEL;
extern RsAttrProperties g_HMO_ATTR_RUNT_TRIGGER_POLARITY;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_TIME_POLARITY;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_TIME_RANGE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_TIME;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_TIME_DELTA;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_OUT_MODE;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_OUT_POLARITY;
extern RsAttrProperties g_HMO_ATTR_TRIGGER_OUT_PULSE_LENGTH;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_SAMPLES;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_SAMPLE_RANGE;
extern RsAttrProperties g_HMO_ATTR_RUN_SINGLE;
extern RsAttrProperties g_HMO_ATTR_RUN_SINGLE_WAIT_FOR_OPC;
extern RsAttrProperties g_HMO_ATTR_RUN_CONTINUOUS;
extern RsAttrProperties g_HMO_ATTR_STOP;
extern RsAttrProperties g_HMO_ATTR_SEND_SW_TRIGGER;
extern RsAttrProperties g_HMO_ATTR_SEND_SW_TRIGGER_AND_WAIT;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_ENVELOPE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_ENVELOPE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_MATH_ENVELOPE_WAVEFORM_X_START;
extern RsAttrProperties g_HMO_ATTR_MATH_ENVELOPE_WAVEFORM_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MATH_ENVELOPE_WAVEFORM_Y_START;
extern RsAttrProperties g_HMO_ATTR_MATH_ENVELOPE_WAVEFORM_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MATH_ENVELOPE_WAVEFORM_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_POD_WAVEFORM_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_POD_WAVEFORM_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_POD_WAVEFORM_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_POD_WAVEFORM_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_POD_WAVEFORM_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_MASK_DATA_CONVERSION_X_START;
extern RsAttrProperties g_HMO_ATTR_MASK_DATA_CONVERSION_X_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MASK_DATA_CONVERSION_Y_START;
extern RsAttrProperties g_HMO_ATTR_MASK_DATA_CONVERSION_Y_INCREMENT;
extern RsAttrProperties g_HMO_ATTR_MASK_DATA_CONVERSION_Y_RESOLUTION;
extern RsAttrProperties g_HMO_ATTR_MAIN_MEASUREMENT_RESULT;
extern RsAttrProperties g_HMO_ATTR_AMPT_MAIN_MEASUREMENT;
extern RsAttrProperties g_HMO_ATTR_MEAS_DELAY_SLOPE;
extern RsAttrProperties g_HMO_ATTR_MEAS_CATEGORY;
extern RsAttrProperties g_HMO_ATTR_MEAS_RELATIVE_MODE;
extern RsAttrProperties g_HMO_ATTR_MEASUREMENT_ENABLED;
extern RsAttrProperties g_HMO_ATTR_MEASUREMENT_CATEGORY;
extern RsAttrProperties g_HMO_ATTR_QUICK_MEASUREMENTS_ENABLE;
extern RsAttrProperties g_HMO_ATTR_QUICK_MEASUREMENTS_DISABLE;
extern RsAttrProperties g_HMO_ATTR_QUICK_MEASUREMENTS_ENABLE_WITH_STATUS_BIT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_ENABLED;
extern RsAttrProperties g_HMO_ATTR_ALL_CURSORS_OFF;
extern RsAttrProperties g_HMO_ATTR_CURSOR_MEASUREMENT_TYPE;
extern RsAttrProperties g_HMO_ATTR_CURSOR_SOURCE;
extern RsAttrProperties g_HMO_ATTR_CURSOR_TRACKING;
extern RsAttrProperties g_HMO_ATTR_CURSOR_X_POSITION;
extern RsAttrProperties g_HMO_ATTR_CURSOR_X_POSITION_COUPLING;
extern RsAttrProperties g_HMO_ATTR_CURSOR_Y_POSITION;
extern RsAttrProperties g_HMO_ATTR_CURSOR_Y_POSITION_COUPLING;
extern RsAttrProperties g_HMO_ATTR_CURSOR_ADJUSTMENT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_X_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_Y_RATIO_MEASUREMENT_UNIT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_X_RATIO_MEASUREMENT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_Y_RATIO_MEASUREMENT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_DISTANCE;
extern RsAttrProperties g_HMO_ATTR_CURSOR_INVERSE_DISTANCE;
extern RsAttrProperties g_HMO_ATTR_CURSOR_VOLTAGE_INVERSE_DISTANCE;
extern RsAttrProperties g_HMO_ATTR_CURSOR_POSITION;
extern RsAttrProperties g_HMO_ATTR_CURSOR_AUTOSET;
extern RsAttrProperties g_HMO_ATTR_CURSOR_RESET;
extern RsAttrProperties g_HMO_ATTR_CURSOR_PEAK_RIGHT;
extern RsAttrProperties g_HMO_ATTR_CURSOR_PEAK_LEFT;
extern RsAttrProperties g_HMO_ATTR_AUTOMATIC_MEASUREMENT_STATE;
extern RsAttrProperties g_HMO_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_WAVEFORMS;
extern RsAttrProperties g_HMO_ATTR_RESET_AUTOMATIC_MEASUREMENT;
extern RsAttrProperties g_HMO_ATTR_AUTOMATIC_MEASUREMENT_NUMBER_OF_MEASURED_WAVEFORMS;
extern RsAttrProperties g_HMO_ATTR_AUTOMATIC_MEASUREMENT_RESULT;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_HEADER;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_WAVEFORM_ENABLED;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_SOURCE;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_OPERATION;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_POSITION;
extern RsAttrProperties g_HMO_ATTR_QUICKMATH_VERTICAL_SCALE;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_ENABLED;
extern RsAttrProperties g_HMO_ATTR_MATH_WAVEFORM_POSITION;
extern RsAttrProperties g_HMO_ATTR_MATH_VERTICAL_SCALE;
extern RsAttrProperties g_HMO_ATTR_MATH_ACQUISITION_TYPE;
extern RsAttrProperties g_HMO_ATTR_MATH_EXPRESSION;
extern RsAttrProperties g_HMO_ATTR_MATH_LABEL_STATE;
extern RsAttrProperties g_HMO_ATTR_MATH_LABEL;
extern RsAttrProperties g_HMO_ATTR_FFT_CENTER_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_FFT_FREQUENCY_SPAN;
extern RsAttrProperties g_HMO_ATTR_FFT_FULL_SPAN;
extern RsAttrProperties g_HMO_ATTR_FFT_START_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_FFT_STOP_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_FFT_AVERAGING;
extern RsAttrProperties g_HMO_ATTR_FFT_WINDOW_TYPE;
extern RsAttrProperties g_HMO_ATTR_FFT_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_HMO_ATTR_FFT_RESOLUTION_BANDWIDTH_COUPLING_ENABLED;
extern RsAttrProperties g_HMO_ATTR_FFT_RESOLUTION_BANDWIDTH_RATIO;
extern RsAttrProperties g_HMO_ATTR_FFT_EFFECTIVE_RESOLUTION_BANDWIDTH;
extern RsAttrProperties g_HMO_ATTR_FFT_SCALING_UNIT;
extern RsAttrProperties g_HMO_ATTR_FFT_SAMPLE_RATE;
extern RsAttrProperties g_HMO_ATTR_FFT_YT_WINDOW_WIDTH;
extern RsAttrProperties g_HMO_ATTR_FFT_YT_WINDOW_POSITION;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_HEADER;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_UPDATE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_LOAD_FROM_FILE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_LOAD_CONFIGURATION;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_SAVE_TO_FILE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_CATALOG;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_VERTICAL_SCALE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_SCALE;
extern RsAttrProperties g_HMO_ATTR_REFERENCE_WAVEFORM_HORIZONTAL_POSITION;
extern RsAttrProperties g_HMO_ATTR_MASK_ENABLED;
extern RsAttrProperties g_HMO_ATTR_MASK_SOURCE;
extern RsAttrProperties g_HMO_ATTR_MASK_TEST;
extern RsAttrProperties g_HMO_ATTR_MASK_COPY_CHANNEL;
extern RsAttrProperties g_HMO_ATTR_MASK_HIT_COUNT;
extern RsAttrProperties g_HMO_ATTR_MASK_COUNT;
extern RsAttrProperties g_HMO_ATTR_MASK_STORE;
extern RsAttrProperties g_HMO_ATTR_MASK_LOAD;
extern RsAttrProperties g_HMO_ATTR_MASK_YOUTPUT_PULSES_ENABLED;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_SOUND;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_STOP_ACQUISITION;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_COUNT_STOP_ACQUISITION;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_SCREENSHOT;
extern RsAttrProperties g_HMO_ATTR_MASK_SCREENSAVER_DESTINATION;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_PRINT;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_SAVE_WAVEFORM_DATA;
extern RsAttrProperties g_HMO_ATTR_MASK_WAVEFORM_DESTINATION;
extern RsAttrProperties g_HMO_ATTR_MASK_EVENT_MODE_IMPULSE;
extern RsAttrProperties g_HMO_ATTR_MASK_RESET_TEST_COUNTER;
extern RsAttrProperties g_HMO_ATTR_MASK_VERTICAL_OFFSET;
extern RsAttrProperties g_HMO_ATTR_MASK_VERTICAL_SCALING;
extern RsAttrProperties g_HMO_ATTR_MASK_VERTICAL_WIDTH;
extern RsAttrProperties g_HMO_ATTR_MASK_HORIZONTAL_WIDTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_STATE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_SOURCE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_EDGE_SLOPE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_EDGE_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_EDGE_HYSTERSIS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_LEVEL_DELTA;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_WIDTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_DELTA;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_POLARITY;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_WIDTH_RANGE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PEAK_POLARITY;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PEAK_LIMIT;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RUNT_POLARITY;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RUNT_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RUNT_RANGE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RUNT_WIDTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RUNT_DELTA_WIDTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RISE_TIME_POLARITY;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RISE_TIME_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RISE_TIME_RANGE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RISE_TIME_REFERENCE_TIME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_RISE_TIME_DELTA_TIME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_CLOCK_SOURCE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_CLOCK_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_DATA_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_CLOCK_HYSTERESIS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_DATA_HYSTERESIS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_POLARITY;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_SETUP_TIME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_D2C_HOLD_TIME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_COMBINATION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_COMPARISON;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_WIDTH_DELTA;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_LEVEL;
extern RsAttrProperties g_HMO_ATTR_SEARCH_TRIGGER_PATTERN_HYSTERESIS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_SHOW_RESULT;
extern RsAttrProperties g_HMO_ATTR_SEARCH_NUMBER_OF_RESULTS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_MAXIMUM_NUMBER_OF_RESULTS;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_FRAME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_CHECKSUM_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_ID_PARITY_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_SYNC_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_ID_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_IDENTIFIER_PATTERN;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_DATA_LENGTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_DATA_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_LIN_DATA;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_FRAME;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_CRC_RRROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_ACKNOWLEDGE_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_FORM_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_BIT_STUFFING_ERROR;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_FRAME_TYPE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_ID_TYPE;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_ID_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_IDENTIFIER;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_DATA_LENGTH;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_DATA_CONDITION;
extern RsAttrProperties g_HMO_ATTR_SEARCH_CAN_DATA;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_STATE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LABEL_STATE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LABEL;
extern RsAttrProperties g_HMO_ATTR_BUS_SIGNAL_SOURCE;
extern RsAttrProperties g_HMO_ATTR_BUS_SIGNAL_SOURCE_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_DISPLAY_FORMAT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_DISPLAY_HEIGHT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_DISPLAY_LINES;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_DISPLAY_VERTICAL;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_DATA_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_CLOCK_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_7_BIT_ADDRESS;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_BIT_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_TRIGGER_FIRST_BYTE_OFFSET;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_I2C_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_BIT_ORDER;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_WORD_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_TRIGGER_OFFSET;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_BIT_PATTERN_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_BIT_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SPI_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SSPI_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SSPI_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SSPI_INTERFRAME_TIME;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SSPI_BIT_ORDER;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_SSPI_WORD_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_INTERFRAME_TIME;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_WORD_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_BIT_RATE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_PARITY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_STOP_BITS;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_TRIGGER_DATA_POSITION_INDEX_MIN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_TRIGGER_CONDITION_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_UART_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_STANDARD;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_BIT_RATE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_TRIGGER_ERROR;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_LIN_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_LINE_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_BIT_RATE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_SAMPLE_POINT;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_CONDITION;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_ID_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_DATA_PATTERN;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_TRIGGER_ERROR;
extern RsAttrProperties g_HMO_ATTR_PROTOCOL_CAN_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PARALLEL_BUS_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PARALLEL_BUS_ANALYZED_LINES;
extern RsAttrProperties g_HMO_ATTR_PARALLEL_BUS_FRAME_COUNT;
extern RsAttrProperties g_HMO_ATTR_PARALLEL_BUS_CLOCKED_DATA_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PARELLEL_BUS_CLOCKED_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PARALLER_BUS_CLOCKED_SLOPE;
extern RsAttrProperties g_HMO_ATTR_PARALLER_BUS_CLOCKED_CS_SOURCE;
extern RsAttrProperties g_HMO_ATTR_PARALLER_BUS_CLOCKED_CS_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PARALLER_BUS_CLOCKED_ANALYZED_LINES;
extern RsAttrProperties g_HMO_ATTR_COMPONENT_TEST_STATE;
extern RsAttrProperties g_HMO_ATTR_COMPONENT_TEST_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_LOGIC_CHANNEL_STATE;
extern RsAttrProperties g_HMO_ATTR_LOGIC_CHANNEL_SIZE;
extern RsAttrProperties g_HMO_ATTR_LOGIC_CHANNEL_POSITION;
extern RsAttrProperties g_HMO_ATTR_LOGIC_CHANNEL_LABEL_STATE;
extern RsAttrProperties g_HMO_ATTR_LOGIC_CHANNEL_LABEL;
extern RsAttrProperties g_HMO_ATTR_POD_STATE;
extern RsAttrProperties g_HMO_ATTR_POD_THRESHOLD;
extern RsAttrProperties g_HMO_ATTR_POD_THRESHOLD_USER_LEVEL;
extern RsAttrProperties g_HMO_ATTR_POD_RANGE;
extern RsAttrProperties g_HMO_ATTR_POD_NUMBER_OF_SAMPLES;
extern RsAttrProperties g_HMO_ATTR_POD_TYPE;
extern RsAttrProperties g_HMO_ATTR_POD_STATUS_MIN;
extern RsAttrProperties g_HMO_ATTR_POD_STATUS_MAX;
extern RsAttrProperties g_HMO_ATTR_DVM_ENABLE;
extern RsAttrProperties g_HMO_ATTR_DVM_SOURCE;
extern RsAttrProperties g_HMO_ATTR_DVM_TYPE;
extern RsAttrProperties g_HMO_ATTR_DVM_POSITION;
extern RsAttrProperties g_HMO_ATTR_DVM_RESULT;
extern RsAttrProperties g_HMO_ATTR_DVM_RESULT_STATUS;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_OUTPUT_ENABLE;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_FUNCTION;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_AMPLITUDE;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_OFFSET;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_RAMP_POLARITY;
extern RsAttrProperties g_HMO_ATTR_GENERATOR_DUTY_CYCLES;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_FUNCTION;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_STATE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_SAMPLE_TIME;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_PERIOD;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_IDLE_TIME;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_BURST_STATE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_BURST_CYCLES;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_TRIGGER_MODE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_TRIGGER_SINGLE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_EXTERNAL_SLOPE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_ARBITRARY_DATA;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_APPEND_DATA;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_APPEND_DATA_BINARY_OR;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_APPEND_DATA_BINARY_AND;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_APPEND_INDEX;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_ARBITRATY_DATA_LENGTH;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_COUNTER_FREQUENCY;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_COUNT_DIRECTION;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_SQUARE_WAVE_POLARITY;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_SQUARE_WAVE_DUTY_CYCLE;
extern RsAttrProperties g_HMO_ATTR_PATTERN_GENERATOR_PIN_STATE;
extern RsAttrProperties g_HMO_ATTR_DISPLAY_STYLE;
extern RsAttrProperties g_HMO_ATTR_COLOR_AND_BRIGHTNESS;
extern RsAttrProperties g_HMO_ATTR_SIGNAL_STYLE;
extern RsAttrProperties g_HMO_ATTR_DIAGRAM_GRID_STYLE;
extern RsAttrProperties g_HMO_ATTR_WAVEFORM_INTENSITY;
extern RsAttrProperties g_HMO_ATTR_BACKGROUND_INTENSITY;
extern RsAttrProperties g_HMO_ATTR_GRID_INTENSITY;
extern RsAttrProperties g_HMO_ATTR_DISPLAY_LANGUAGE;
extern RsAttrProperties g_HMO_ATTR_REMOVE_DISPLAY_LANGUAGE;
extern RsAttrProperties g_HMO_ATTR_DISPLAY_LANGUAGE_CATALOG;
extern RsAttrProperties g_HMO_ATTR_DIAGRAM_MODE;
extern RsAttrProperties g_HMO_ATTR_VIRTUAL_SCREEN_STATE;
extern RsAttrProperties g_HMO_ATTR_VIRTUAL_SCREEN_POSITION;
extern RsAttrProperties g_HMO_ATTR_DISPLAY_CLOSE_DIALOG;
extern RsAttrProperties g_HMO_ATTR_DISPLAY_MESSAGE_TEXT;
extern RsAttrProperties g_HMO_ATTR_PERSISTENCE_STATE;
extern RsAttrProperties g_HMO_ATTR_INFINITE_PERSISTENCE;
extern RsAttrProperties g_HMO_ATTR_PERSISTENCE_TIME;
extern RsAttrProperties g_HMO_ATTR_PERSISTENCE_TIME_AUTO;
extern RsAttrProperties g_HMO_ATTR_PERSISTENCE_CLEAR;
extern RsAttrProperties g_HMO_ATTR_XY_X_SOURCE;
extern RsAttrProperties g_HMO_ATTR_XY_Y_SOURCE;
extern RsAttrProperties g_HMO_ATTR_XY_Y2_SOURCE;
extern RsAttrProperties g_HMO_ATTR_XY_Z_SOURCE;
extern RsAttrProperties g_HMO_ATTR_XY_Z_THRESHOLD;
extern RsAttrProperties g_HMO_ATTR_XY_INTENSITY_CONTROL;
extern RsAttrProperties g_HMO_ATTR_ZOOM_WINDOW_STATE;
extern RsAttrProperties g_HMO_ATTR_ZOOM_DIAGRAM_TIMEBASE;
extern RsAttrProperties g_HMO_ATTR_ZOOM_OFFSET_OF_TRIGGER_POINT;
extern RsAttrProperties g_HMO_ATTR_ZOOM_REFERENCE_POINT;
extern RsAttrProperties g_HMO_ATTR_MARKER_SET;
extern RsAttrProperties g_HMO_ATTR_MARKER_CLEAR;
extern RsAttrProperties g_HMO_ATTR_MARKER_CLEAR_ALL;
extern RsAttrProperties g_HMO_ATTR_MARKER_NEXT;
extern RsAttrProperties g_HMO_ATTR_MARKER_PREVIOUS;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_CURRENT_ACQUISITION;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_PLAYER_STATE;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_PLAYER_SPEED;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_REPEAT;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_ACQUISITION_DATE;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_ACQUISITION_RELATIVE_TIME;
extern RsAttrProperties g_HMO_ATTR_HISTORY_CHANNEL_ACQUISITION_ABSOLUTE_TIME;
extern RsAttrProperties g_HMO_ATTR_HISTORY_GET_ACQUISITION_COUNT;
extern RsAttrProperties g_HMO_ATTR_DRIVES;
extern RsAttrProperties g_HMO_ATTR_CHANGE_DRIVE;
extern RsAttrProperties g_HMO_ATTR_CURRENT_DIRECTORY;
extern RsAttrProperties g_HMO_ATTR_CREATE_DIRECTORY;
extern RsAttrProperties g_HMO_ATTR_REMOVE_DIRECTORY;
extern RsAttrProperties g_HMO_ATTR_DELETE_FILE;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_FILE_NAME;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_DEVICE_DESTINATION;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_COLOR_SCHEME;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_DEVICE_LANGUAGE_OUTPUT_FORMAT;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_DEVICE_ORIENTATION;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_PAGE_SIZE;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_PRINT;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_SELECT_PRINTER;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_GET_FIRST_PRINTER;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_GET_NEXT_PRINTER;
extern RsAttrProperties g_HMO_ATTR_HARDCOPY_COMMAND_SET;
extern RsAttrProperties g_HMO_ATTR_ID_QUERY_RESPONSE;
extern RsAttrProperties g_HMO_ATTR_CALIBRATION;
extern RsAttrProperties g_HMO_ATTR_CALIBRATION_STATE;
extern RsAttrProperties g_HMO_ATTR_SELF_TEST_QUERY;
extern RsAttrProperties g_HMO_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_HMO_ATTR_SYST_ERR_LIST;
extern RsAttrProperties g_HMO_ATTR_INSTRUMENT_NAME;
extern RsAttrProperties g_HMO_ATTR_RESET_STATUS_REGISTER;
extern RsAttrProperties g_HMO_ATTR_REGISTER;
extern RsAttrProperties g_HMO_ATTR_SOUND_ENABLED;
extern RsAttrProperties g_HMO_ATTR_SOUND_ERROR_ENABLED;
extern RsAttrProperties g_HMO_ATTR_SOUND_TRIGGER_ENABLED;
extern RsAttrProperties g_HMO_ATTR_SOUND_GENERATE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap hmo_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr hmo_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __HMO_ATTRIBUTES_HEADER */
